<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       $sql = <<<'SQL'
            ALTER TABLE users
            ADD COLUMN plant_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT users_plant_id_fkey
            FOREIGN KEY (plant_id) REFERENCES plants(id);
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('users', function (Blueprint $table) {
        //     //
        // });
    }
};
